[SciPy-User] error using SciPy on Mac OS X Snow Leopard (using scipy.maxentropy)

per freem perfreem@gmail....
Thu Nov 19 18:57:12 CST 2009


hi all,

i recently upgraded to Mac OS X Snow Leopard and moved from Python 2.5
to Python 2.6. I reinstalled scipy and it seemed to work, except when
I try to execute:

from scipy.maxentropy import logsumexp

I get the errors:

Traceback (most recent call last):
  File "myfile.py", line 6, in <module>
    from scipy.maxentropy import logsumexp
  File "/Library/Python/2.6/site-packages/scipy/maxentropy/__init__.py",
line 9, in <module>
    from maxentropy import *
  File "/Library/Python/2.6/site-packages/scipy/maxentropy/maxentropy.py",
line 74, in <module>
    from scipy import optimize
  File "/Library/Python/2.6/site-packages/scipy/optimize/__init__.py",
line 7, in <module>
    from optimize import *
  File "/Library/Python/2.6/site-packages/scipy/optimize/optimize.py",
line 28, in <module>
    import linesearch
  File "/Library/Python/2.6/site-packages/scipy/optimize/linesearch.py",
line 3, in <module>
    from scipy.optimize import minpack2
ImportError: /Library/Python/2.6/site-packages/scipy/optimize/minpack2.so:
no appropriate 64-bit architecture (see "man python" for running in
32-bit mode)

any idea what could be wrong here? thanks.


More information about the SciPy-User mailing list